﻿
Module Module_Sounds

    Friend SoundType As Int32 = 3

    Friend Sub PlayResetSound()
        Dim fname As String = Application.StartupPath + "\Sounds\Start.wav"
        If IO.File.Exists(fname) Then
            My.Computer.Audio.Play(fname, AudioPlayMode.Background)
        End If
    End Sub

    Friend Sub PlayErrorSound()
        Dim fname As String = Application.StartupPath + "\Sounds\Stop.wav"
        If IO.File.Exists(fname) Then
            My.Computer.Audio.Play(fname, AudioPlayMode.Background)
        End If
    End Sub

    Friend Sub PlaySound(ByVal n As Int32, ByVal millisec As Int32)
        Form1.LightButton(n)
        PlaySoundFile(n)
        Threading.Thread.Sleep(millisec)
        Form1.LightButton(0)
    End Sub

    Private Sub PlaySoundFile(ByVal n As Int32)
        Dim fname As String = Application.StartupPath + _
                              "\Sounds\Sound" + _
                              SoundType.ToString + n.ToString + ".wav"
        If IO.File.Exists(fname) Then
            My.Computer.Audio.Play(fname, AudioPlayMode.Background)
        End If
    End Sub

End Module
